<?xml version="1.0" encoding="UTF-8" ?>
<gameinfo>

	<!-- GAME INFO START -->

	<!-- *** DO NOT EDIT ANYTHING IN THIS SECTION - AUTO GENERATED FROM GAME INFO *** -->
	
	<spec>
		<regkey>
		    <value name="DonePromotional"     type="integer">0</value>
		    <value name="DoneUnsupported"     type="integer">0</value>
		</regkey>
	</spec>


	<date>20151209121649</date>
	
	<!-- Auto-generated: Block any hardware below min playable -->
	<spec>
		<conditions>
			<or>
				<VRAM><less>128M</less></VRAM>
			</or>
		</conditions>
		<alert stock_id="BlockedHardware" />
		<ignore_if_set>SkipUnsupportedHardwareCheck</ignore_if_set>
	</spec>
	

	
	<!-- Auto-generated: Warn on any hardware below minimum -->
	<spec>
		<conditions>
			<and>
				<not><regkey><value name="DoneUnsupported" type="integer"><equal>1</equal></value></regkey></not>
				<or>
					<VRAM><less>128M</less></VRAM>
				</or>
			</and>
		</conditions>
		<alert stock_id="UnsupportedPlayable" />
		<ignore_if_set>SkipUnsupportedHardwareCheck</ignore_if_set>
		<regkey><value name="DoneUnsupported" type="integer">1</value></regkey>
	</spec>
	

	
	<!-- GAME INFO END -->



    <!--============================================================================>
    <                       Configuration Alerts                                   >
    <=============================================================================-->
    
	<!--
		nvidia 352
	-->
	 <spec>
        <conditions>
            <stock id="vendor_nvidia" />
            <or>
                <OpenGL_vendor_major><less>352</less></OpenGL_vendor_major>
                <and>
                    <OpenGL_vendor_major><equal>352</equal></OpenGL_vendor_major>
                    <OpenGL_vendor_minor><less>22</less></OpenGL_vendor_minor>
                </and>
            </or>
        </conditions>
        <alert stock_id="LnxGraphicsDriverBelowMin">
            <replace>
                <from>#{faq_section}</from>
                <to>#i_linux_graphics_drivers</to>
            </replace>
        </alert>
    </spec>
    
    
    <!--============================================================================>
    <                       General Configuration                                   >
    <=============================================================================-->


    <!--
        Default Hardware Specifications:

        Resolution - 1280x720 (or closest)
	    Preset - low
    -->
    <spec>
        <conditions>
            <!-- No conditions, all hardware maps to these settings by default -->
        </conditions>
        
        <uuid>DefaultHardwareSpecificationsClass</uuid>
        
        <regkey path="software\feral interactive\f1 2015\setup" copyinitial="false">
            <value name="screenw"								type="integer">1280</value>
            <value name="screenh"								type="integer">720</value>

            <value name="gfxconfig_default_preset_name"					type="string">low</value>
        </regkey>
    </spec>
    
    <!--    
        Medium Hardware Specifications:

        Resolution - 1024x768 (or closest)
    -->
    <spec>
        <conditions>
            <!-- VRAM is more than 128MB -->
            <VRAM><more>134217728</more></VRAM>            
        </conditions>
        
        <uuid>MediumHardwareSpecificationsClass</uuid>
        
        <!-- Resolution: 1024x768 -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenW</name>
            <value>1024</value>
        </setting>
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenH</name>
            <value>768</value>
        </setting>
        
        <!-- Adjust Resolution: TRUE -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>AdjustResolution</name>
            <value>1</value>
        </setting>
	</spec>
    
    
    
    <!--    
        High Hardware Specifications:

		Resolution - 1280x720 (or closest)
    -->
    <spec>
        <conditions>
            <!-- VRAM is more than 256MB -->
            <VRAM><more>268435456</more></VRAM>            
        </conditions>
        
        <uuid>HighHardwareSpecificationsClass</uuid>
		
		<!-- Resolution: 1280x720 -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenW</name>
            <value>1280</value>
        </setting>
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenH</name>
            <value>720</value>
        </setting>
        
        <!-- Adjust Resolution: TRUE -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>AdjustResolution</name>
            <value>1</value>
        </setting>
    </spec>
    
    
    
    
    <!--    
        Highest Hardware Specifications:

        Resolution - 1600x900 (or closest)
    -->
    <spec>
        <conditions>
            <!-- VRAM is more than 512MB -->
            <VRAM><more>536870912</more></VRAM>            
        </conditions>
        
        <uuid>HighestHardwareSpecificationsClass</uuid>
        
        <!-- Resolution: 1600x900 -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenW</name>
            <value>1600</value>
        </setting>
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenH</name>
            <value>900</value>
        </setting>
        
        <!-- Adjust Resolution: TRUE -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>AdjustResolution</name>
            <value>1</value>
        </setting>
    </spec>
    
    
    
    
    <!--============================================================================>
    <                    Specific Graphics Card Configuration                       >
    <=============================================================================-->
    
    
    <!--
        NVIDIA GeForce 9400:
        
        Resolution - 640x480 (or closest)
    -->
    <spec>
        <conditions>
            <!-- NVIDIA GeForce 9400 -->
            <OpenGL_vendor><contains>Nvidia</contains></OpenGL_vendor>
            <OpenGL_renderer><contains>9400</contains></OpenGL_renderer>
        </conditions>    
        
        <uuid>NVIDIA_GeForce_9400SpecificationsClass</uuid>
        
        <!-- Resolution: 640x480 -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenW</name>
            <value>640</value>
        </setting>
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenH</name>
            <value>480</value>
        </setting>
        
        <!-- Adjust Resolution: TRUE -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>AdjustResolution</name>
            <value>1</value>
        </setting>
    </spec>
    
    
    
    
    <!--
        NVIDIA GeForce 320M:
        
        Resolution - 800x600 (or closest)
    -->
    <spec>
        <conditions>
            <!-- NVIDIA GeForce 320M -->
            <OpenGL_vendor><contains>Nvidia</contains></OpenGL_vendor>
            <OpenGL_renderer><contains>320M</contains></OpenGL_renderer>
        </conditions>    
        
        <uuid>NVIDIA_GeForce_320MSpecificationsClass</uuid>
        
        <!-- Resolution: 800x600 -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenW</name>
            <value>800</value>
        </setting>
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenH</name>
            <value>500</value>
        </setting>
        
        <!-- Adjust Resolution: TRUE -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>AdjustResolution</name>
            <value>1</value>
        </setting>        
    </spec>
    
    
    
    
    <!--
        Intel GMA HD3000:
        
        Resolution - 800x600 (or closest)
    -->
    <spec>
        <conditions>
            <!-- Intel GMA HD3000 -->
            <OpenGL_vendor><contains>Intel</contains></OpenGL_vendor>
            <OpenGL_renderer><contains>HD3000</contains></OpenGL_renderer>
        </conditions>    
        
        <uuid>INTEL_GMA_HD3000MSpecificationsClass</uuid>
        
        <!-- Resolution: 800x600 -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenW</name>
            <value>800</value>
        </setting>
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>ScreenH</name>
            <value>600</value>
        </setting>
        
        <!-- Adjust Resolution: TRUE -->
        <setting type="integer">  
            <key>Software\Feral Interactive\Darkroom\Setup</key>
            <name>AdjustResolution</name>
            <value>1</value>
        </setting>
    </spec>
</gameinfo>
